import * as RTL from '@redwoodjs/testing/web'
import { Patterns } from './patterns'

describe('Patterns page', () => {
  it('renders successfully', async () => {
    RTL.render(<Patterns />)

    RTL.screen.getByText('Patrones')
    // columns
    RTL.screen.getByText(/titulo/i)
    RTL.screen.getByText(/descripcion/i)
    RTL.screen.getByText(/#implementaciones/i)

    // rows
    RTL.screen.getByText('API Gateway')
    RTL.screen.getByText(/el patrón de gateway api/i)
    RTL.screen.getByText('Orquestación de Microservicios')
    RTL.screen.getByText(/este patrón implica la coordinación/i)
    RTL.screen.getByText('Service Discovery')
    RTL.screen.getByText(/en una arquitectura de microservicios/i)

    // caption
    RTL.screen.getByText('Patrones disponibles')
  })
})
